import string

def checkio(text: str) -> str:
    letters = {x: 0 for x in list(string.ascii_lowercase)}
    for letter in text:
        letter = letter.lower()
        if letter in letters:
            letters[letter] = letters[letter] + 1

    retour = None
    retour_count = 0
    for letter, count in letters.items():
        if retour_count < count:
            retour_count = count
            retour = letter

    return retour


if __name__ == '__main__':
    print("Example:")
    print(checkio("Hello World!"))
    # These "asserts" using only for self-checking and not necessary for auto-testing
    assert checkio("Hello World!") == "l", "Hello test"
    assert checkio("How do you do?") == "o", "O is most wanted"
    assert checkio("One") == "e", "All letter only once."
    assert checkio("Oops!") == "o", "Don't forget about lower case."
    assert checkio("AAaooo!!!!") == "a", "Only letters."
    assert checkio("abe") == "a", "The First."
    print("Start the long test")
    assert checkio("a" * 9000 + "b" * 1000) == "a", "Long."
    print("The local tests are done.")
