def time_converter(time):
    time_string = int(time.replace(':', ''))
    time_array = time.split(':')
    if time_string < 100:
        return "12:{} a.m.".format(time_array[1])
    elif time_string < 1200:
        return "{} a.m.".format(time.lstrip('0'))
    elif time_string < 1300:
        return "{} p.m.".format(time.lstrip('0'))
    else:
        return "{}:{} p.m.".format(int(time_array[0]) - 12, time_array[1])


if __name__ == '__main__':
    print("Example:")
    print(time_converter('12:30'))

    # These "asserts" using only for self-checking and not necessary for auto-testing
    assert time_converter('00:00') == '12:00 a.m.'
    assert time_converter('12:30') == '12:30 p.m.'
    assert time_converter('09:00') == '9:00 a.m.'
    assert time_converter('23:15') == '11:15 p.m.'
    print("Coding complete? Click 'Check' to earn cool rewards!")
